## START: Set by rpmautospec
## (rpmautospec version 0.3.8)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Version:        3.5
%global forgeurl https://github.com/complexlogic/rsgain/
%forgemeta

Name:           rsgain
Release:        %autorelease
Summary:        Simple but powerful ReplayGain 2.0 tagging utility
URL:            %{forgeurl}
Source0:        %{forgesource}

# rsgain: BSD-2-Clause
# CRCpp: BSD-3-Clause
License:        BSD-2-Clause and BSD-3-Clause

# https://github.com/complexlogic/rsgain/pull/109
Patch0:         0001-Include-LICENSE-from-bundled-CRC-library.patch

BuildRequires:  cmake
BuildRequires:  fmt-devel
BuildRequires:  gcc-c++
BuildRequires:  inih-devel
BuildRequires:  libavcodec-free-devel
BuildRequires:  libavformat-free-devel
BuildRequires:  libavutil-free-devel
BuildRequires:  libebur128-devel
BuildRequires:  libswresample-free-devel
BuildRequires:  taglib-devel

Provides:       bundled(CRCpp) = 1.2.0.0^20220528git71f2152

%description
rsgain (really simple gain) is a ReplayGain 2.0 command line utility.
It applies loudness metadata tags to your files, while leaving the audio
stream untouched. A ReplayGain-compatible player will dynamically adjust
the volume of your tagged files during playback.


%prep
%forgeautosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%check
%ctest
%{buildroot}/%{_bindir}/%{name} custom |& grep -F 'No files were specified'


%files
%license LICENSE
%license LICENSE-CRCpp
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/


%changelog
## START: Generated by rpmautospec
* Mon Mar 04 2024 Peter Oliver <git@mavit.org.uk> - 3.5-4
- Admit to bundling the CRCpp library.

* Mon Mar 04 2024 Peter Oliver <git@mavit.org.uk> - 3.5-3
- Own our directories.

* Mon Mar 04 2024 Peter Oliver <git@mavit.org.uk> - 3.5-2
- Run a rudimentary smoketest during the %%check stage.

* Mon Mar 04 2024 Peter Oliver <git@mavit.org.uk> - 3.5-1
- Update to version 3.5.

* Fri Feb 09 2024 Peter Oliver <git@mavit.org.uk> - 3.4-1
- Initial package.
## END: Generated by rpmautospec
